Subject: bug#59691: Html-like constructs fail in typescript

From: Theodor Thornhill <[email-masked]>
Date: Tue, 29 Nov 2022 22:01:01 +0100

Hi Jostein!

I already have a fix for this bug lined up, and will send the fix as
soon as I get my other stuff applied.  It relies on another patch that
is waiting.

The solution is to create two modes: typescript-ts-mode and
tsx-ts-mode. They have separate parsers, and should be treated as
separate languages.  That means that in a .ts file we enable the
'typescript' language, and in .tsx we enable the 'tsx' language.  This
exact issue is why they have two languages.

In other words, we cannot support this in typescript-ts-mode.

I hope to get this in pretty soon :)

Theo